Get a producer
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/downstream/producers/{producerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/downstream/producers/{producerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/downstream/producers/{producerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"producerId": "6627f2b5c2e0a51b8c0d4e7c",
"firstName": "Jon",
"lastName": "Doe",
"entities": [
{
"associationId": "6627f1a9c2e0a51b8c0d4e3a",
"downstreamEntityId": "6610b3d2c2e0a51b8c0d1f02",
"branchName": "Philadelphia Branch",
"drlpStates": [
"PA"
],
"email": "example@test.com",
"position": "Producer"
}
],
"middleName": "R",
"npn": "7654321",
"mainEmail": "example@test.com",
"nasdCrd": "5551234",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-06-02T08:12:44.000Z"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Producers
Get a Producer
Fetch one producer and their entity associations
GET
/
v2
/
downstream
/
producers
/
{producerId}
Get a producer
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/downstream/producers/{producerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/downstream/producers/{producerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/downstream/producers/{producerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"producerId": "6627f2b5c2e0a51b8c0d4e7c",
"firstName": "Jon",
"lastName": "Doe",
"entities": [
{
"associationId": "6627f1a9c2e0a51b8c0d4e3a",
"downstreamEntityId": "6610b3d2c2e0a51b8c0d1f02",
"branchName": "Philadelphia Branch",
"drlpStates": [
"PA"
],
"email": "example@test.com",
"position": "Producer"
}
],
"middleName": "R",
"npn": "7654321",
"mainEmail": "example@test.com",
"nasdCrd": "5551234",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-06-02T08:12:44.000Z"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns one producer with the same shape as a row from List Producers.
Returns 404 when the producer is not associated with any entity in your subtree. A producer who exists on the platform but works for a different agency is indistinguishable from one who does not exist.
Social security numbers are never returned.
Authorizations
bearerrestricted-access-token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the producer (the producerId returned by the List Producers endpoint).
Example:
"6627f2b5c2e0a51b8c0d4e7c"
Was this page helpful?